CyclotomicTable< Domain, Tag > Class Template Reference

CyclotomicTable. More...

`#include <givpoly1tabcycl.h>`

Inheritance diagram for CyclotomicTable< Domain, Tag >:
[legend]
Collaboration diagram for CyclotomicTable< Domain, Tag >:
[legend]

## Public Member Functions

Element & | random_irreducible (Element &P, Degree n) const
| random irreducible polynomial
Element & | creux_random_irreducible (Element &P, Degree n) const
| random irreducible polynomial tries to be sparse
Element & | ixe_irreducible (Element &R, Degree n) const
| random irreducible polynomial with X as primitive root
Element & | ixe_irreducible2 (Element &R, Degree n) const
| random irreducible polynomial with X as primitive root

## Detailed Description

template<class Domain, class Tag>
class Givaro::CyclotomicTable< Domain, Tag >

CyclotomicTable.

The documentation for this class was generated from the following files:

- givpoly1tabcycl.h
- givpoly1tabcycl.inl